## org.apache.bcel.generic
Class ALOAD

    java.lang.Object
      |
      +--org.apache.bcel.generic.Instruction
            |
            +--org.apache.bcel.generic.LocalVariableInstruction
                  |
                  +--org.apache.bcel.generic.LoadInstruction
                        |
                        +--org.apache.bcel.generic.ALOAD

All Implemented Interfaces:
  java.lang.Cloneable, IndexedInstruction, PushInstruction, java.io.Serializable, StackProducer, TypedInstruction

public class ALOAD
extends LoadInstruction

ALOAD - Load reference from local variable

    Stack: ... -> ..., objectref

Version:
  $Id: ALOAD.java,v 1.1.1.1 2001/10/29 20:00:05 jvanzyl Exp $
Author:
  M. Dahm
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.generic.LocalVariableInstruction
`n`

Fields inherited from class org.apache.bcel.generic.Instruction
`length, opcode`

Constructor Summary
`ALOAD(int n)` Load reference from local variable

Method Summary
`void` `accept(Visitor v)` Call corresponding visitor method(s).

Methods inherited from class org.apache.bcel.generic.LocalVariableInstruction
`dump, getCanonicalTag, getIndex, getType, initFromFile, setIndex, toString`

Methods inherited from class org.apache.bcel.generic.Instruction
`consumeStack, copy, equals, getComparator, getLength, getName, getOpcode, produceStack, readInstruction, setComparator, toString, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.bcel.generic.StackProducer
`produceStack`

Constructor Detail

### ALOAD

    public ALOAD(int n)

  Load reference from local variable

Parameters:
  `n` - index of local variable

Method Detail

### accept

    public void accept(Visitor v)

  Call corresponding visitor method(s). The order is: Call visitor methods of implemented interfaces first, then call methods according to the class hierarchy in descending order, i.e., the most specific visitXXX() call comes last.

  Overrides:
    `accept` in class `LoadInstruction`
  Parameters:
    `v` - Visitor object

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.